post
https://api.everee.com/api/v2/payables/delete-bulk
This endpoint allows you to delete payable items in bulk by providing a list of their externalId values.
How this endpoint works
- You can delete any payable item whose payout hasn't yet been finalized.
- Payable items whose payout has been finalized can't be deleted. If you attempt to delete a finalized payable item, you'll receive an error.
- If you provide an
externalIdvalue that doesn't exist (perhaps because it was already deleted previously), you will not receive an error. Instead, this endpoint will simply skip thatexternalIdwhen processing deletions.
Calling this endpoint is an atomic operation, so either all the payable items you specify (that exist) will be successfully deleted, or the entire operation will be rolled back and no changes will be made.
Size limits
You're limited to 1000 values in the externalIds list. Sending more than 1000 values will result in an error. If you need to delete more than 1000 payable items, just call this endpoint multiple times.